<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/pwm.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">pwm.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series PWM driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d2e/pwm_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2pwm_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d6/db9/pwm_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gaa8de5932e202da33005841edc021a2e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa8de5932e202da33005841edc021a2e4">PWM_CHANNEL_NUM</a></td></tr>
<tr class="separator:gaa8de5932e202da33005841edc021a2e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ce05ed0c4b23d9fd3257b49fec3b751"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ce05ed0c4b23d9fd3257b49fec3b751">PWM_CH0</a></td></tr>
<tr class="separator:ga3ce05ed0c4b23d9fd3257b49fec3b751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa762d631e9794aaecce90826faf4f402"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa762d631e9794aaecce90826faf4f402">PWM_CH1</a></td></tr>
<tr class="separator:gaa762d631e9794aaecce90826faf4f402"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b50c0d5e200636bca31f4689760136e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6b50c0d5e200636bca31f4689760136e">PWM_CH2</a></td></tr>
<tr class="separator:ga6b50c0d5e200636bca31f4689760136e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5be6ec8a063e576d71f0d01570867b7b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5be6ec8a063e576d71f0d01570867b7b">PWM_CH3</a></td></tr>
<tr class="separator:ga5be6ec8a063e576d71f0d01570867b7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabac82a6377fd08e9847feeda8040f273"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabac82a6377fd08e9847feeda8040f273">PWM_CH_0_MASK</a></td></tr>
<tr class="separator:gabac82a6377fd08e9847feeda8040f273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72299d696270f176556e6e29ff6dff93"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72299d696270f176556e6e29ff6dff93">PWM_CH_1_MASK</a></td></tr>
<tr class="separator:ga72299d696270f176556e6e29ff6dff93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2185c98fac63b3ee14b17858cdac9fed"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2185c98fac63b3ee14b17858cdac9fed">PWM_CH_2_MASK</a></td></tr>
<tr class="separator:ga2185c98fac63b3ee14b17858cdac9fed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1af9d8112675ef4e4efffa2b35d78e7c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1af9d8112675ef4e4efffa2b35d78e7c">PWM_CH_3_MASK</a></td></tr>
<tr class="separator:ga1af9d8112675ef4e4efffa2b35d78e7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd86a897a6b2ccb95d1ae2f47c8bd15c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabd86a897a6b2ccb95d1ae2f47c8bd15c">PWM_CLK_DIV_1</a></td></tr>
<tr class="separator:gabd86a897a6b2ccb95d1ae2f47c8bd15c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d3bfe34e38f97a4a31394528ef09a45"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d3bfe34e38f97a4a31394528ef09a45">PWM_CLK_DIV_2</a></td></tr>
<tr class="separator:ga8d3bfe34e38f97a4a31394528ef09a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae66ff68ea3b182ae37f8441fed091776"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae66ff68ea3b182ae37f8441fed091776">PWM_CLK_DIV_4</a></td></tr>
<tr class="separator:gae66ff68ea3b182ae37f8441fed091776"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga379db73993dbf96710557d63e24c329e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga379db73993dbf96710557d63e24c329e">PWM_CLK_DIV_8</a></td></tr>
<tr class="separator:ga379db73993dbf96710557d63e24c329e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga472e1664d0e8f634fb70250fe7e2da68"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga472e1664d0e8f634fb70250fe7e2da68">PWM_CLK_DIV_16</a></td></tr>
<tr class="separator:ga472e1664d0e8f634fb70250fe7e2da68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18eec613fcc72bc9f048c804863519cf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga18eec613fcc72bc9f048c804863519cf">PWM_EDGE_ALIGNED</a></td></tr>
<tr class="separator:ga18eec613fcc72bc9f048c804863519cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6871708a71e9d705d1422f9855470585"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6871708a71e9d705d1422f9855470585">PWM_CENTER_ALIGNED</a></td></tr>
<tr class="separator:ga6871708a71e9d705d1422f9855470585"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga797d0d771457479f8b677263a79cbed0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga797d0d771457479f8b677263a79cbed0">PWM_RISING_LATCH_INT_ENABLE</a></td></tr>
<tr class="separator:ga797d0d771457479f8b677263a79cbed0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab7d31a7df3e22a5253337148d26d2a8c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab7d31a7df3e22a5253337148d26d2a8c">PWM_FALLING_LATCH_INT_ENABLE</a></td></tr>
<tr class="separator:gab7d31a7df3e22a5253337148d26d2a8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5940e054da82e586f82d9435f1cc185b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5940e054da82e586f82d9435f1cc185b">PWM_RISING_FALLING_LATCH_INT_ENABLE</a></td></tr>
<tr class="separator:ga5940e054da82e586f82d9435f1cc185b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33e16d288942356205a8a55b8c1a4353"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga33e16d288942356205a8a55b8c1a4353">PWM_RISING_LATCH_INT_FLAG</a></td></tr>
<tr class="separator:ga33e16d288942356205a8a55b8c1a4353"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaec789562f8ab7a95abc00a5b4794afa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaec789562f8ab7a95abc00a5b4794afa">PWM_FALLING_LATCH_INT_FLAG</a></td></tr>
<tr class="separator:gaaec789562f8ab7a95abc00a5b4794afa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga640204272f0176593d718b05fd9a041c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga640204272f0176593d718b05fd9a041c">PWM_RISING_FALLING_LATCH_INT_FLAG</a></td></tr>
<tr class="separator:ga640204272f0176593d718b05fd9a041c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae322c57f5e065ce3f548c1e2443a7298"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae322c57f5e065ce3f548c1e2443a7298">PWM_RISING_LATCH_PDMA_ENABLE</a></td></tr>
<tr class="separator:gae322c57f5e065ce3f548c1e2443a7298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad147fdd80c5b1b189f2d9c888c367a5f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad147fdd80c5b1b189f2d9c888c367a5f">PWM_FALLING_LATCH_PDMA_ENABLE</a></td></tr>
<tr class="separator:gad147fdd80c5b1b189f2d9c888c367a5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5769a3e1c61ecacfb3674bad1bf8750"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5769a3e1c61ecacfb3674bad1bf8750">PWM_RISING_FALLING_LATCH_PDMA_ENABLE</a></td></tr>
<tr class="separator:gab5769a3e1c61ecacfb3674bad1bf8750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb4ed09d9c7161d49d68c9ace40120e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb4ed09d9c7161d49d68c9ace40120e4">PWM_CAP_PDMA_RFORDER_R</a></td></tr>
<tr class="separator:gaeb4ed09d9c7161d49d68c9ace40120e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae883b415b6b8ec48123455bd2a446f5a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d6c/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae883b415b6b8ec48123455bd2a446f5a">PWM_CAP_PDMA_RFORDER_F</a></td></tr>
<tr class="separator:gae883b415b6b8ec48123455bd2a446f5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21f38b0eac19f64a2f4df237d41abb39"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21f38b0eac19f64a2f4df237d41abb39">PWM_ENABLE_OUTPUT_INVERTER</a>(pwm,  u32ChannelMask)</td></tr>
<tr class="memdesc:ga21f38b0eac19f64a2f4df237d41abb39"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enable output inverter of specified channel(s)  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21f38b0eac19f64a2f4df237d41abb39">More...</a><br /></td></tr>
<tr class="separator:ga21f38b0eac19f64a2f4df237d41abb39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc8468102c1b40de1425baf3ff176e61"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc8468102c1b40de1425baf3ff176e61">PWM_GET_CAPTURE_RISING_DATA</a>(pwm,  u32ChannelNum)</td></tr>
<tr class="memdesc:gabc8468102c1b40de1425baf3ff176e61"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro get captured rising data.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc8468102c1b40de1425baf3ff176e61">More...</a><br /></td></tr>
<tr class="separator:gabc8468102c1b40de1425baf3ff176e61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5279f8564e71c325e4c0e58a9d3f6bac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5279f8564e71c325e4c0e58a9d3f6bac">PWM_GET_CAPTURE_FALLING_DATA</a>(pwm,  u32ChannelNum)</td></tr>
<tr class="memdesc:ga5279f8564e71c325e4c0e58a9d3f6bac"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro get captured falling data.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5279f8564e71c325e4c0e58a9d3f6bac">More...</a><br /></td></tr>
<tr class="separator:ga5279f8564e71c325e4c0e58a9d3f6bac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab0560b0f1eac8f0ec03f3f9620cab68b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab0560b0f1eac8f0ec03f3f9620cab68b">PWM_SET_PRESCALER</a>(pwm,  u32ChannelNum,  u32Prescaler)</td></tr>
<tr class="memdesc:gab0560b0f1eac8f0ec03f3f9620cab68b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set the prescaler of the selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab0560b0f1eac8f0ec03f3f9620cab68b">More...</a><br /></td></tr>
<tr class="separator:gab0560b0f1eac8f0ec03f3f9620cab68b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27cd5ecaed4d1566a85123b247cad99b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27cd5ecaed4d1566a85123b247cad99b">PWM_SET_DIVIDER</a>(pwm,  u32ChannelNum,  u32Divider)</td></tr>
<tr class="memdesc:ga27cd5ecaed4d1566a85123b247cad99b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set the divider of the selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27cd5ecaed4d1566a85123b247cad99b">More...</a><br /></td></tr>
<tr class="separator:ga27cd5ecaed4d1566a85123b247cad99b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga88654b74fa99f07cb1ad5cdb5efc59fa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga88654b74fa99f07cb1ad5cdb5efc59fa">PWM_SET_CMR</a>(pwm,  u32ChannelNum,  u32CMR)</td></tr>
<tr class="memdesc:ga88654b74fa99f07cb1ad5cdb5efc59fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set the duty of the selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga88654b74fa99f07cb1ad5cdb5efc59fa">More...</a><br /></td></tr>
<tr class="separator:ga88654b74fa99f07cb1ad5cdb5efc59fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9186f8278b1382b9881e266db45c99f8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9186f8278b1382b9881e266db45c99f8">PWM_SET_CNR</a>(pwm,  u32ChannelNum,  u32CNR)</td></tr>
<tr class="memdesc:ga9186f8278b1382b9881e266db45c99f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set the period of the selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9186f8278b1382b9881e266db45c99f8">More...</a><br /></td></tr>
<tr class="separator:ga9186f8278b1382b9881e266db45c99f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab9f21de9c480c64baebb99099d46d4bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab9f21de9c480c64baebb99099d46d4bc">PWM_SET_ALIGNED_TYPE</a>(pwm,  u32ChannelMask,  u32AlignedType)</td></tr>
<tr class="memdesc:gab9f21de9c480c64baebb99099d46d4bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set the PWM aligned type.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab9f21de9c480c64baebb99099d46d4bc">More...</a><br /></td></tr>
<tr class="separator:gab9f21de9c480c64baebb99099d46d4bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga5b5c5326f7052513e1b5eec1f71b30c8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">PWM_ConfigOutputChannel</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Frequency, uint32_t u32DutyCycle)</td></tr>
<tr class="memdesc:ga5b5c5326f7052513e1b5eec1f71b30c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function config PWM generator and get the nearest frequency in edge aligned auto-reload mode.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5b5c5326f7052513e1b5eec1f71b30c8">More...</a><br /></td></tr>
<tr class="separator:ga5b5c5326f7052513e1b5eec1f71b30c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2d11697fa73308d4f5ae8ee67c0c7a55"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d11697fa73308d4f5ae8ee67c0c7a55">PWM_ConfigCaptureChannel</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32UnitTimeNsec, uint32_t u32CaptureEdge)</td></tr>
<tr class="memdesc:ga2d11697fa73308d4f5ae8ee67c0c7a55"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function config PWM capture and get the nearest unit time.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2d11697fa73308d4f5ae8ee67c0c7a55">More...</a><br /></td></tr>
<tr class="separator:ga2d11697fa73308d4f5ae8ee67c0c7a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba7d1c58227b988404d3491388abe31f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">PWM_Start</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:gaba7d1c58227b988404d3491388abe31f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function start PWM module.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba7d1c58227b988404d3491388abe31f">More...</a><br /></td></tr>
<tr class="separator:gaba7d1c58227b988404d3491388abe31f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga066d00c26f6a319314be5dd2c3047990"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">PWM_Stop</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:ga066d00c26f6a319314be5dd2c3047990"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop PWM module.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga066d00c26f6a319314be5dd2c3047990">More...</a><br /></td></tr>
<tr class="separator:ga066d00c26f6a319314be5dd2c3047990"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga05a6be33c690157c4bc87f0688e2f9cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">PWM_ForceStop</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:ga05a6be33c690157c4bc87f0688e2f9cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop PWM generation immediately by clear channel enable bit.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga05a6be33c690157c4bc87f0688e2f9cb">More...</a><br /></td></tr>
<tr class="separator:ga05a6be33c690157c4bc87f0688e2f9cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd20833cfab9a95006028b4a2bfad6a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">PWM_EnableADCTrigger</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</td></tr>
<tr class="memdesc:gafd20833cfab9a95006028b4a2bfad6a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable selected channel to trigger ADC.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd20833cfab9a95006028b4a2bfad6a4">More...</a><br /></td></tr>
<tr class="separator:gafd20833cfab9a95006028b4a2bfad6a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20c0cb1f9c6ddbe739efe3445aab3f74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">PWM_DisableADCTrigger</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga20c0cb1f9c6ddbe739efe3445aab3f74"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable selected channel to trigger ADC.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga20c0cb1f9c6ddbe739efe3445aab3f74">More...</a><br /></td></tr>
<tr class="separator:ga20c0cb1f9c6ddbe739efe3445aab3f74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f3c635b9a22f2ba972264d6bad89948"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">PWM_ClearADCTriggerFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Condition)</td></tr>
<tr class="memdesc:ga1f3c635b9a22f2ba972264d6bad89948"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clear selected channel trigger ADC flag.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f3c635b9a22f2ba972264d6bad89948">More...</a><br /></td></tr>
<tr class="separator:ga1f3c635b9a22f2ba972264d6bad89948"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga744d43fd2e38d605ece81b7f2c645408"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">PWM_GetADCTriggerFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga744d43fd2e38d605ece81b7f2c645408"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get selected channel trigger ADC flag.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga744d43fd2e38d605ece81b7f2c645408">More...</a><br /></td></tr>
<tr class="separator:ga744d43fd2e38d605ece81b7f2c645408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1621caaef12796182bda60ea4e7377b3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1621caaef12796182bda60ea4e7377b3">PWM_EnableCapture</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:ga1621caaef12796182bda60ea4e7377b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables PWM capture of selected channels.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1621caaef12796182bda60ea4e7377b3">More...</a><br /></td></tr>
<tr class="separator:ga1621caaef12796182bda60ea4e7377b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7489f70aaa949018de6fbb925717802f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7489f70aaa949018de6fbb925717802f">PWM_DisableCapture</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:ga7489f70aaa949018de6fbb925717802f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables PWM capture of selected channels.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7489f70aaa949018de6fbb925717802f">More...</a><br /></td></tr>
<tr class="separator:ga7489f70aaa949018de6fbb925717802f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8352c03341d770623730dc38e4dc06d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">PWM_EnableOutput</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:gac8352c03341d770623730dc38e4dc06d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables PWM output generation of selected channels.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac8352c03341d770623730dc38e4dc06d">More...</a><br /></td></tr>
<tr class="separator:gac8352c03341d770623730dc38e4dc06d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa1f51bdd5b9c5f0d787c16b30ba335ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">PWM_DisableOutput</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelMask)</td></tr>
<tr class="memdesc:gaa1f51bdd5b9c5f0d787c16b30ba335ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables PWM output generation of selected channels.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa1f51bdd5b9c5f0d787c16b30ba335ec">More...</a><br /></td></tr>
<tr class="separator:gaa1f51bdd5b9c5f0d787c16b30ba335ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b5c77cb068468a5d240507dc4ec58b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">PWM_EnableDeadZone</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Duration)</td></tr>
<tr class="memdesc:ga1b5c77cb068468a5d240507dc4ec58b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable Dead zone of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b5c77cb068468a5d240507dc4ec58b1">More...</a><br /></td></tr>
<tr class="separator:ga1b5c77cb068468a5d240507dc4ec58b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b67381d2e6604e2d52dc1b4ded0ac79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">PWM_DisableDeadZone</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga9b67381d2e6604e2d52dc1b4ded0ac79"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable Dead zone of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9b67381d2e6604e2d52dc1b4ded0ac79">More...</a><br /></td></tr>
<tr class="separator:ga9b67381d2e6604e2d52dc1b4ded0ac79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8737c77d70ce330857769a032520464"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8737c77d70ce330857769a032520464">PWM_EnableCaptureInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</td></tr>
<tr class="memdesc:gaf8737c77d70ce330857769a032520464"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable capture interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8737c77d70ce330857769a032520464">More...</a><br /></td></tr>
<tr class="separator:gaf8737c77d70ce330857769a032520464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga519eb2f39edce4c0181abc2e4753fd72"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga519eb2f39edce4c0181abc2e4753fd72">PWM_DisableCaptureInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga519eb2f39edce4c0181abc2e4753fd72"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable capture interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga519eb2f39edce4c0181abc2e4753fd72">More...</a><br /></td></tr>
<tr class="separator:ga519eb2f39edce4c0181abc2e4753fd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f2ad27c5dade93b09856965923537fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2ad27c5dade93b09856965923537fb">PWM_ClearCaptureIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga1f2ad27c5dade93b09856965923537fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clear capture interrupt flag of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1f2ad27c5dade93b09856965923537fb">More...</a><br /></td></tr>
<tr class="separator:ga1f2ad27c5dade93b09856965923537fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1c99b5c4b0bab58c75bd5f5b3686886"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1c99b5c4b0bab58c75bd5f5b3686886">PWM_GetCaptureIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:gae1c99b5c4b0bab58c75bd5f5b3686886"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get capture interrupt flag of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1c99b5c4b0bab58c75bd5f5b3686886">More...</a><br /></td></tr>
<tr class="separator:gae1c99b5c4b0bab58c75bd5f5b3686886"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga425201428238fb079d10a7e1b03479e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga425201428238fb079d10a7e1b03479e6">PWM_EnableDutyInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32IntDutyType)</td></tr>
<tr class="separator:ga425201428238fb079d10a7e1b03479e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89d6aec6a3d08a18e413114e97231ed8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga89d6aec6a3d08a18e413114e97231ed8">PWM_DisableDutyInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="separator:ga89d6aec6a3d08a18e413114e97231ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8dfd6748955d93c79ea7943e66693e57"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">PWM_ClearDutyIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga8dfd6748955d93c79ea7943e66693e57"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clears duty interrupt flag of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8dfd6748955d93c79ea7943e66693e57">More...</a><br /></td></tr>
<tr class="separator:ga8dfd6748955d93c79ea7943e66693e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga998c9f9ff8209befaa5b96bb716ee039"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">PWM_GetDutyIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga998c9f9ff8209befaa5b96bb716ee039"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get duty interrupt flag of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga998c9f9ff8209befaa5b96bb716ee039">More...</a><br /></td></tr>
<tr class="separator:ga998c9f9ff8209befaa5b96bb716ee039"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95951d94cf385aea3067fe197d33cdd2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">PWM_EnablePeriodInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32IntPeriodType)</td></tr>
<tr class="memdesc:ga95951d94cf385aea3067fe197d33cdd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable period interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95951d94cf385aea3067fe197d33cdd2">More...</a><br /></td></tr>
<tr class="separator:ga95951d94cf385aea3067fe197d33cdd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f6f4ca64e6d9fcb16d6856274918871"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">PWM_DisablePeriodInt</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:ga3f6f4ca64e6d9fcb16d6856274918871"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable period interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3f6f4ca64e6d9fcb16d6856274918871">More...</a><br /></td></tr>
<tr class="separator:ga3f6f4ca64e6d9fcb16d6856274918871"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac655465d151aeb2c2356b560c660e860"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">PWM_ClearPeriodIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:gac655465d151aeb2c2356b560c660e860"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clear period interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac655465d151aeb2c2356b560c660e860">More...</a><br /></td></tr>
<tr class="separator:gac655465d151aeb2c2356b560c660e860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1e00a27b810b68d4f5d971e45180a33"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">PWM_GetPeriodIntFlag</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:gae1e00a27b810b68d4f5d971e45180a33"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get period interrupt of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae1e00a27b810b68d4f5d971e45180a33">More...</a><br /></td></tr>
<tr class="separator:gae1e00a27b810b68d4f5d971e45180a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b2d1ff29fabd000bfc4eb334f02a959"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2d1ff29fabd000bfc4eb334f02a959">PWM_EnablePDMA</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum, uint32_t u32RisingFirst, uint32_t u32Mode)</td></tr>
<tr class="memdesc:ga1b2d1ff29fabd000bfc4eb334f02a959"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable capture PDMA of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2d1ff29fabd000bfc4eb334f02a959">More...</a><br /></td></tr>
<tr class="separator:ga1b2d1ff29fabd000bfc4eb334f02a959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2925fa7b1ebc598a283eaeb4cc78e7b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2925fa7b1ebc598a283eaeb4cc78e7b">PWM_DisablePDMA</a> (<a class="el" href="../../dd/d2d/struct_p_w_m___t.html">PWM_T</a> *pwm, uint32_t u32ChannelNum)</td></tr>
<tr class="memdesc:gab2925fa7b1ebc598a283eaeb4cc78e7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable capture PDMA of selected channel.  <a href="../../d5/dfc/group___n_a_n_o1_x2___p_w_m___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab2925fa7b1ebc598a283eaeb4cc78e7b">More...</a><br /></td></tr>
<tr class="separator:gab2925fa7b1ebc598a283eaeb4cc78e7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series PWM driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>13 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/29 9:04a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d6/db9/pwm_8h_source.html">pwm.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
